Package org.apache.sysds.runtime.controlprogram.parfor

## Class ResultMergeFrameLocalMemory

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.ResultMerge<FrameObject>
  - - org.apache.sysds.runtime.controlprogram.parfor.ResultMergeFrameLocalMemory

- All Implemented Interfaces:
    `Serializable`

      public class ResultMergeFrameLocalMemory
      extends ResultMerge<FrameObject>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResultMergeFrameLocalMemory​(FrameObject out, FrameObject[] in, String outputFilename, boolean accum)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FrameObject` | `executeParallelMerge​(int par)` | Merge all given input matrices in parallel into the given output matrix.
    `FrameObject` | `executeSerialMerge()` | Merge all given input matrices sequentially into the given output matrix.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultMergeFrameLocalMemory

          public ResultMergeFrameLocalMemory​(FrameObject out,
                                             FrameObject[] in,
                                             String outputFilename,
                                             boolean accum)

  - ### Method Detail

    - #### executeSerialMerge

          public FrameObject executeSerialMerge()

      Description copied from class: `ResultMerge`
      Merge all given input matrices sequentially into the given output matrix. The required space in-memory is the size of the output matrix plus the size of one input matrix at a time.
      Specified by:
        `executeSerialMerge` in class `ResultMerge<FrameObject>`
      Returns:
        output (merged) matrix

    - #### executeParallelMerge

          public FrameObject executeParallelMerge​(int par)

      Description copied from class: `ResultMerge`
      Merge all given input matrices in parallel into the given output matrix. The required space in-memory is the size of the output matrix plus the size of all input matrices.
      Specified by:
        `executeParallelMerge` in class `ResultMerge<FrameObject>`
      Parameters:
        `par` - degree of parallelism
      Returns:
        output (merged) matrix